<div class="d-flex justify-content-end py-2">
  <p-button label="Descargar reporte" icon="pi pi-file" styleClass="p-button-sm" (onClick)="descargaReporte()"></p-button>
  <a hidden #xls></a>
</div>
<div class="busqueda">
    <div class="head-busqueda">
      <p>Parámetros de búsqueda</p>
    </div>
    <div class="form-row p-3">
      <div class="col-3">
        <label for="">Tipo asunto:</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100" [options]="catalogos.tipoAsunto"
          [(ngModel)]="filter.asuntoAbordado" optionLabel="nombre" [filter]="true" filterBy="nombre" [showClear]="true"
          optionValue="nombre" name="asunto" id="asunto" placeholder="Seleccione o escriba el tipo de asunto">
        </p-dropdown>
      </div>
      <div class="col-3">
        <label for="">Número de expediente:</label>
        <input type="text" name="expediente" id="expediente" placeholder="Ingrese el número de expediente"
          class="form-control" autocomplete="off" [(ngModel)]="filter.numeroExpediente">
      </div>
      <div class="col-3"> 
        <label for="">Secretaria(o):</label>
        <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100" [options]="catalogos.usuarios"
          [(ngModel)]="filter.secretario" optionLabel="nombre" [filter]="true" filterBy="nombre" [showClear]="true"
          optionValue="nombre" placeholder="Seleccione o escriba la(el) secretaria(o)" name="secretarios">
        </p-dropdown>
      </div>
      <div class="col-3">
        <label for="">Año de resolución:</label>
        <input type="text" name="expediente" id="expediente" placeholder="Ingrese el año de resolución"
          class="form-control" autocomplete="off" [(ngModel)]="filter.anio">
      </div>
      <div class="col-12">
        <div class="d-flex justify-content-between">
          <div class="d-flex justify-content-center align-items-center">
            <span *ngIf="isFilter" class="mr-2">Se encontraron {{ seguimiento.totalElements }} resultado(s)</span>
            <p-button *ngIf="isFilter" icon="pi pi-refresh" pTooltip="Limpiar filtros" tooltipPosition="right"
              (onClick)="clearFilter()"></p-button>
          </div>
          <p-button label="Buscar" icon="pi pi-search" styleClass="p-button-sm" (onClick)="searchFilter()"></p-button>
        </div>
      </div>
    </div>
  </div>
  <div class="d-flex justify-content-end align-items-center pb-3">
    <span class="mr-2">Mostrar: </span>
    <p-dropdown [options]="[{size:10},{size:20},{size:30},{size:50},{size:100}]" optionLabel="size" optionValue="size"
      [(ngModel)]="size" (onChange)="onChangeSize($event)"></p-dropdown>
  </div>
  <div class="relative">
    <p-table [value]="seguimiento.content" [scrollable]="true" scrollHeight="400px" scrollDirection="both">
      <ng-template pTemplate="header">
        <tr>
          <th style="width:300px">Asunto</th>
          <th style="width:150px">Año de resolución</th>
          <th style="width:120px">Temas de fondo</th>
          <th style="width:120px">Temas procesales</th>
          <th style="width:200px">Sesiones</th>
          <th style="width:200px">Secretarias(os) asignadas(os)</th>
          <th style="width:200px">Editado por</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-data>
        <tr>
          <td style="width:300px" class="text-center">
            <span class="size-2">{{data.tipoAsunto + ' ' + data.numExpediente}}</span>
          </td>
          <td style="width:150px"  class="text-center">
            {{ data.anioResolucion}}
          </td>
          <td style="width:120px" class="text-center">
            <p pTooltip="De clic para ver temas" tooltipPosition="left"
              (click)="parrafos = data.temasFondo; actived = true">{{ data.temasFondo.length}}</p>
          </td>
          <td style="width:120px" class="text-center">
            <p pTooltip="De clic para ver temas" tooltipPosition="left"
              (click)="parrafos = data.temasProcesales; actived = true">{{ data.temasProcesales.length}}</p>
          </td>
          <td style="width:200px; overflow: hidden;" class="text-center">
            <div class="list-asuntos">
              <p class="ml-2" *ngFor="let date of data.sesiones">
                {{ date }}
              </p>
            </div>
          </td>
          <td style="width:200px;" class="text-center">
            <div class="list-asuntos">
              <p class="ml-2" *ngFor="let sec of data.secretarios">
                {{ sec }}
              </p>
            </div>
          </td>
          <td style="width:200px" class="text-center">
            <div class="list-asuntos">
              <p class="ml-2" *ngFor="let editor of data.editores">
                {{ editor }}
              </p>
            </div>
          </td>
        </tr>
      </ng-template>
    </p-table>
    <div class="card-temas shadow" [ngClass]="{'present': actived}">
      <i class="pi pi-times card-temas__close" (click)="parrafos = []; actived = false" pTooltip="Cerrar"
        tooltipPosition="left"></i>
      <div class="card-temas__list">
        <p class="mt-2" *ngFor="let parrafo of parrafos; let i = index;">
          {{(i+1) +'. ' +parrafo}}
        </p>
        <p *ngIf="parrafos.length == 0">
          No hay temas
        </p>
      </div>
    </div>
  </div>

  <div class="d-flex justify-content-center align-items-center">
    <ngb-pagination (pageChange)="onChangePage($event)" [collectionSize]="seguimiento.totalElements"
      [size]="seguimiento.size" [maxSize]="4" [boundaryLinks]="true"></ngb-pagination>
  </div>

  <p-confirmPopup></p-confirmPopup>
  <p-toast position="bottom-right" key="ks"></p-toast>
